List policy versions
curl --request GET \
--url https://softmax.com/api/observatory/v2/policy-versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/policy-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/policy-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_name": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"player_id": "<string>",
"player_name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Policies
List policy versions
Returns policy versions visible to the caller, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
GET
/
v2
/
policy-versions
List policy versions
Authorizations
Bearer token issued by Softmax
Query Parameters
Maximum policy versions returned.
Required range:
1 <= x <= 500Continuation token from the previous response's X-Next-Cursor header.
Return policies whose names contain this text.
Return only policy versions owned by the caller.
Return only policy versions attributed to this player.
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Policy version ID.
Policy containing this version.
Human-readable policy name.
Sequential version number within the policy.
Time when this policy version was created.
Player associated with this version, or null when none is assigned.
Name of the associated player, or null when none is assigned.